import { Component, Input } from "@angular/core";

/**
 * Generated class for the ProfileHeaderComponent component.
 *
 * See https://angular.io/api/core/Component for more info on Angular
 * Components.
 */
@Component({
  selector: "profile-header",
  templateUrl: "profile-header.html"
})
export class ProfileHeaderComponent {
  @Input()
  user: any;

  constructor() {}

  get banner() {
    if (this.user.profile_banner_url) {
      return this.user.profile_banner_url;
    } else {
      return this.user.profile_background_image_url_https;
    }
  }
}
